Docs
Add Constraint
POST /constraints
POST
/constraintsCreates an Active constraint on one or more tasks. A Task constraint needs constrainedByTaskId, the blocking task, and a General constraint must not have one; all task ids come from ProjectManagement_GetTasks, and it needs an event token and the event project management admin permission.
Request Body
| Field | Type | Required | Description |
|---|---|---|---|
| name | string | Optional | |
| description | string | Optional | |
| type | string | Optional | |
| constrainedByTaskId | uuid | Optional | |
| constrainedTaskIds | uuid[] | Optional |